#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 15. Networking Programs

- Prev

  Samba-4.15.5

- Next

  Wireless Tools-29

- Up
- Home

# Wget-1.21.2

## Introduction to Wget

The Wget package contains a utility useful for non-interactive downloading of files from the Web.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/wget/wget-1.21.2.tar.gz

- Download (FTP): ftp://ftp.gnu.org/gnu/wget/wget-1.21.2.tar.gz

- Download MD5 sum: 6321d4c2b820394cf2392985d8f8c563

- Download size: 4.8 MB

- Estimated disk space required: 63 MB (with tests)

- Estimated build time: 0.6 SBU (with tests)

### Wget Dependencies

#### Recommended

make-ca-1.10 (runtime)

#### Optional

GnuTLS-3.7.3, HTTP-Daemon-6.13 (for the test suite), IO-Socket-SSL-2.074 (for the test suite), libidn2-2.3.2, libpsl-0.21.1, PCRE-8.45 or pcre2-10.39, and Valgrind-3.18.1 (for the test suite)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/wget

## Installation of Wget

Install Wget by running the following commands:

    ./configure --prefix=/usr      \
                --sysconfdir=/etc  \
                --with-ssl=openssl &&
    make

To test the results, issue: make check.

HTTPS tests are known to fail if Perl module IO::Socket::INET6 is installed.

Now, as the `root` user:

    make install

## Command Explanations

`--sysconfdir=/etc`: This relocates the configuration file from `/usr/etc` to `/etc`.

`--with-ssl=openssl`: This allows the program to use openssl instead of GnuTLS-3.7.3.

`--enable-valgrind-tests`: This allows the tests to be run under valgrind.

## Configuring Wget

###

#### Config Files

`/etc/wgetrc` and `~/.wgetrc`

## Contents

Installed Program: wget
Installed Libraries: None
Installed Directories: None

### Short Descriptions

wget | retrieves files from the Web using the HTTP, HTTPS and FTP protocols. It is designed to be non-interactive, for background or unattended operations

Last updated on

- Prev

  Samba-4.15.5

- Next

  Wireless Tools-29

- Up
- Home